%define major	6
%define libname	%mklibname freetype %{major}
%define develname %mklibname -d freetype %{major}
%define staticdevelname %mklibname -d -s freetype %{major}

%define git_url git://git.sv.gnu.org/freetype/freetype2.git

Name:		freetype2
Summary:	A free and portable TrueType font rendering engine
Version:	2.13.2
Release:	%mkrel 1
License:	FreeType License/GPL
URL:		http://www.freetype.org/
Source0:	http://downloads.sourceforge.net/freetype/freetype-%{version}.tar.xz
Source1:	http://downloads.sourceforge.net/freetype/freetype-doc-%{version}.tar.xz
Source2:	http://downloads.sourceforge.net/freetype/ft2demos-%{version}.tar.xz
# Enable subpixel rendering (ClearType)
Patch0:		freetype-2.10.1-enable-spr.patch
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(x11)
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(libpng)
Group:		System/Libraries

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included

%package -n %{libname}
Summary:	Shared libraries for a free and portable TrueType font rendering engine
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}
Provides:   freetype = %{version}-%{release}

%description -n %{libname}
The FreeType2 engine is a free and portable TrueType font rendering
engine.  It has been developed to provide TT support to a great
variety of platforms and environments. Note that FreeType2 is a
library, not a stand-alone application, though some utility
applications are included

%package -n %{develname}
Summary:	Header files and static library for development with FreeType2
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: lib64freetype6-static-devel

%description -n %{develname}
This package is only needed if you intend to develop or compile applications
which rely on the FreeType2 library. If you simply want to run existing
applications, you won't need this package.

%package demos
Summary:	A collection of FreeType demos
Group:		File tools

%description demos
The FreeType engine is a free and portable font rendering engine, developed to
provide advanced font support for a variety of platforms and environments. The
demos package includes a set of useful small utilities showing various
capabilities of the FreeType library.

%prep
%setup -q -n freetype-%version -b 1 -a2
%patch0 -p1


%build
 %configure2_5x \
  --enable-freetype-config \
  --with-zlib=yes \
  --with-bzip2=yes \
  --with-png=yes \
  --with-harfbuzz=yes \
  --with-brotli=yes \
  --with-librsvg=yes \
  --disable-static

%make_build

pushd ft2demos-%{version}
%make X11_PATH=%{_prefix} TOP_DIR=".."
popd

%install
rm -rf %buildroot
%make_install

install -d $RPM_BUILD_ROOT/%{_bindir}

for ftdemo in ftbench ftdiff ftdump ftgamma ftgrid ftlint ftmulti ftstring ftvalid ftview; do
    builds/unix/libtool --mode=install install -m 755 ft2demos-%{version}/bin/$ftdemo %{buildroot}%{_bindir}
done

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc ../freetype-%{version}/docs/*
%{_bindir}/freetype-config
%{_libdir}/*.so
%dir %{_includedir}/freetype2
%{_includedir}/freetype2/*
%{_datadir}/aclocal/*
%{_mandir}/man1/freetype-config.1*
%{_libdir}/pkgconfig/*

%files demos
%{_bindir}/ftbench
%{_bindir}/ftdiff
%{_bindir}/ftdump
%{_bindir}/ftgamma
%{_bindir}/ftgrid
%{_bindir}/ftlint
%{_bindir}/ftmulti
%{_bindir}/ftstring
%{_bindir}/ftvalid
%{_bindir}/ftview


%changelog
* Sun Aug 27 2023 tex - 2.13.2-1pclos2023
- new version

* Wed Jul 19 2023 tex - 2.13.1-1pclos2023
- new version

